Subject: Re: bug#33999: CP437: Invalid Argument on init

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 20 Jan 2019 23:48:40 +0100

On Sun, 20 Jan 2019 06:34:46 -0800
Bryan Ferris <[email-masked]> wrote:

> Root files:
> https://drive.google.com/open?id=1XL_iQCze4SkOSd_GnOzNTfkNMiRJHDLG
> ESP: https://drive.google.com/open?id=1o7sQD9rhzRwTKsyvqrZpScMQrgi5XCDT
> 
> I tried reconfiguring from chroot but ran into some issues. I bind-mounted
> /dev, /sys, /proc, and /var from the installer to the target, which got
> past some errors. The one I couldn't get past was being unable to find the
> glibc derivation in the store, though the file was present. Not sure what
> went wrong there.

Why /var ?

Is it because of the guix socket?  I'd try mounting just the socket directory,
otherwise it may also shadow the state of your installation and you won't
be able to reconfigure.